/*
 * This is a manifest file that'll be compiled into application.css, which will include all the files
 * listed below.
 *
 * Any CSS and SCSS file within this directory, lib/assets/stylesheets, or any plugin's
 * vendor/assets/stylesheets directory can be referenced here using a relative path.
 *
 * You're free to add application-wide styles to this file and they'll appear at the bottom of the
 * compiled file so the styles you add here take precedence over styles defined in any other CSS/SCSS
 * files in this directory. Styles in this file should be added after the last require_* statement.
 * It is generally better to create a new file per style scope.
 *
 *= require_tree .
 *= require_self
 */

body {
  font-family: sans-serif;
  background: #000;
  margin: unset;
  color: white;
}

.home {
  display: flex;
  width: 100vw;
  height: 100vh;
  flex-direction: column;
  justify-content: center;
  font-size: large;

  .title {
    font-weight: lighter;
    font-size: 10em;
    color: white;
    text-align: center;
    & > span {
      color: rgb(255, 31, 206);
      font-weight: bold;
    }
  }

  .playlists-link {
    width: max-content;
    background-color: rgb(255, 31, 206);
    border-radius: 5px;
    padding: 10px 30px;
    margin: 20px auto;

    & > a {
      text-align: center;
      color: white;
      font-weight: bolder;
      text-decoration: none;
    }

    &:hover {
      background-color: rgba(255, 31, 206, 0.705);
      cursor: pointer;
    }
  }
  
}

.playlist-index {
  padding: 2% 0 0 5%;
  & > h1 {
    font-weight: lighter;
    letter-spacing: 3px;
    margin-bottom: 30px;
    color: rgb(255, 31, 206);;
  }
  
  & > a {
    text-decoration: none;
    color: white;
    background: rgb(255, 31, 206);
    padding: 5px 10px;
    border-radius: 15px;
    margin-bottom: 10px;
    &:hover {
      background: #000;
      background: rgba(255, 31, 206, 0.705);
    }
  }

  & > table {
    border-collapse: collapse;
    margin-top: 40px;
    width: 40%;
    font-size: 1em;
    & > tbody > tr {
      border-bottom: white 1px solid;
      height: 4vh;
      & > th {
        letter-spacing: 3px;
        text-align: left;
        text-transform: uppercase;
      }
      & > td {
        &.option {
          text-align: right;
        }
        & > a {
          text-decoration: none;
          color: white;
          &:hover {
            text-decoration: underline;
            cursor: pointer;
          }
        }
      }
    }
  }
}

.new-playlist {
  padding: 2% 0 0 5%;
  & > h1 {
    font-weight: lighter;
  }
  & > form > div {
    display: flex;
    flex-direction: column;
    margin-bottom: 15px;
    &.new-actions {
      display: flex;
      flex-direction: row;
      align-items: center;
      & > a {
        background: rgba(255, 255, 255, 0.2);
        color: white;
        text-decoration: none;
        padding: 8px;
        margin-left: 30px;
        border-radius: 2px;
        width: max-content;
      }
      & > input[type="submit"] {
        background-color: rgb(255, 31, 206);
        border-radius: 2px;
        border-bottom: none;
        padding: 10px;
        width: max-content;
        font-size: 1.2em;
        &:hover {
          cursor: pointer;
          background: rgba(255, 31, 206, 0.705);
        }
      }
    }
    & > label {
      margin-bottom: 8px;
    }
    & > input {
      color: white;
      background-color: rgba(255, 255, 255, 0.2);
      border: none;
      &#playlist_title {
        height: 3vh;
        width: 250px;
        padding: 0 5px;
      }
      &:hover {
        border-bottom: rgb(255, 31, 206) solid 1px;
      }
    }
    & > textarea {
      color: white;
      width: 300px;
      background-color: rgba(255, 255, 255, 0.2);
      border: none;
      padding: 5px;
      &:hover {
        border-bottom: rgb(255, 31, 206) solid 1px;
      }
    }
  }
}

.playlist {
  padding: 2% 0 0 5%;
  & > h2, h3 {
    color: rgb(255, 31, 206);
    & > span {
      color: white;
      font-weight: lighter;
    }
    &:nth-child(2) {
      font-weight: lighter;
    }
    &:nth-child(3) {
      color: white;
    }
  }

  & > a {
    color: white;
    text-decoration: none;
    &:hover {
      text-decoration: underline;
    }
  }
  
  & > table {
    border-collapse: collapse;
    width: 40%;
    & > tbody > tr {
      height: 3vh;
      padding: 2px;
      & > th {
        border-bottom: white 1px solid;
        font-weight: lighter;
        letter-spacing: 3px;
        text-align: left;
        text-transform: uppercase;
      }
      & > td {
        &:last-child {
          text-align: right;
          & > a {
            text-decoration: none;
            color: white;
          }
        }
      }
      &:hover {
        background: rgba(255, 255, 255, 0.2);
      }
      &:first-child:hover {
        background: black;
      }
      &:last-child {
        display: none;
      }
    }
  }

  & > form {
    & > p > input {
      color: white;
      background-color: black;
      border: none;
      padding: 5px;
      border-bottom: rgb(255, 31, 206) solid 1px;
      &:hover {
        background-color: rgba(255, 255, 255, 0.2);
      }
      &[type="submit"] {
        background: rgba(255, 255, 255, 0.2);
        border: none;
        &:hover {
          background: rgba(255, 31, 206, 0.705);
        }
      }
    }
  }
  
}